Skip to main content

GET /v1/latest

Returns the most recent recorded row for a stream — the last second of the newest window that has data.

curl -H "X-Api-Key: $KEY" \
"https://polybk.com/v1/latest?symbol=btc&timeframe=5"

Parameters

NameTypeDefaultDescription
symbolstringbtcbtc · eth · sol · xrp
timeframeint55 or 15 (minutes)

Response

{
"window_start": 1793334000,
"columns": ["ts_iso", "ts_unix", "slug", "..."],
"row": ["2026-10-30T04:24:59Z", "1793334299", "btc-updown-5m-1793334000", "..."]
}

Scans back up to 4 hours from now to find the newest window with data. If nothing is found, returns 404.